org.apache.synapse.commons.executors.config

## Class PriorityExecutorFactory

- java.lang.Object
- - org.apache.synapse.commons.executors.config.PriorityExecutorFactory

-     public class PriorityExecutorFactory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `BEFORE_EXECUTE_HANDLER`
    `static javax.xml.namespace.QName` | `CORE_ATT`
    `static javax.xml.namespace.QName` | `IS_FIXED_ATT`
    `static javax.xml.namespace.QName` | `KEEP_ALIVE_ATT`
    `static javax.xml.namespace.QName` | `MAX_ATT`
    `static javax.xml.namespace.QName` | `NAME_ATT`
    `static javax.xml.namespace.QName` | `NEXT_QUEUE_ATT`
    `static javax.xml.namespace.QName` | `PRIORITY_ATT`
    `static javax.xml.namespace.QName` | `SIZE_ATT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PriorityExecutorFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PriorityExecutor` | `createExecutor(java.lang.String namespace, org.apache.axiom.om.OMElement e, boolean requireName, java.util.Properties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME_ATT

          public static final javax.xml.namespace.QName NAME_ATT

    - #### SIZE_ATT

          public static final javax.xml.namespace.QName SIZE_ATT

    - #### PRIORITY_ATT

          public static final javax.xml.namespace.QName PRIORITY_ATT

    - #### IS_FIXED_ATT

          public static final javax.xml.namespace.QName IS_FIXED_ATT

    - #### BEFORE_EXECUTE_HANDLER

          public static final javax.xml.namespace.QName BEFORE_EXECUTE_HANDLER

    - #### NEXT_QUEUE_ATT

          public static final javax.xml.namespace.QName NEXT_QUEUE_ATT

    - #### MAX_ATT

          public static final javax.xml.namespace.QName MAX_ATT

    - #### CORE_ATT

          public static final javax.xml.namespace.QName CORE_ATT

    - #### KEEP_ALIVE_ATT

          public static final javax.xml.namespace.QName KEEP_ALIVE_ATT

  - ### Constructor Detail

    - #### PriorityExecutorFactory

          public PriorityExecutorFactory()

  - ### Method Detail

    - #### createExecutor

          public static PriorityExecutor createExecutor(java.lang.String namespace,
                                                        org.apache.axiom.om.OMElement e,
                                                        boolean requireName,
                                                        java.util.Properties properties)
                                                 throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005-2021 Apache Software Foundation. All Rights Reserved.